<?php

namespace AutoAdmin\Bundle\Admin\Exception;

use RuntimeException;

class UnknownEntityException extends RuntimeException
{
    public function __construct(string $entity)
    {
        parent::__construct(
            sprintf(
                'The entity "%s" is not configured,' .
                ' please add its configuration in config/packages/auto_admin_admin.yaml',
                $entity
            ),
            0,
            null
        );
    }
}
